#
# spec file for package python3-ipaddr
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-ipaddr
Version:        2.1.11
Release:        6.1
Url:            http://code.google.com/p/ipaddr-py/
Summary:        Google's IP address manipulation library
License:        Apache-2.0
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/i/ipaddr/ipaddr-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3-2to3
BuildRequires:  python3-devel
BuildRequires:  python3-distribute
BuildRequires:  python3-nose
BuildArch:      noarch

%description
Google's IP address manipulation library. An IPv4/IPv6 manipulation library
in Python. This library is used to create/poke/manipulate IPv4 and IPv6
addresses and prefixes.

%prep
%setup -q -n ipaddr-%{version}
sed -i "1d" ipaddr.py # Fix non-executable script
2to3 . | patch -p0

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python3 ipaddr_test.py

%files
%defattr(-,root,root,-)
%doc COPYING README  RELEASENOTES
%{python3_sitelib}/*

%changelog
* Thu Jan 22 2015 arun@gmx.de
- specfile:
  * update copyright year
  * remove python(abi) requirement
* Sat Jan 10 2015 arun@gmx.de
- specfile:
  * update copyright year
  * update source url to pypi
- update to version 2.1.11:
  * hostmask parsing bug fixed by pmarks (a nearly complete rewrite of
    the mask parsing code)
  * i97, incorrectly parses some v6 addresses.
  * docstring typos.
  * i95, refer to the nets in the exception raised by
    collapse_address_list
  * add license to boilerplate to test-2to3.sh
* Tue Nov 27 2012 toddrme2178@gmail.com
- Fix typo in spec file
* Thu Nov 22 2012 toddrme2178@gmail.com
- Removed openSUSE 11.4 spec file workarounds
* Fri May 25 2012 klaussfreire@gmail.com
- Added python3 version of the package
